> ## Documentation Index
> Fetch the complete documentation index at: https://docs.puretalk.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Phone Number

> Delete a phone number based on the ID supplied



## OpenAPI

````yaml openapi-phone-numbers DELETE /phone-numbers/{phone_number_id}
openapi: 3.0.1
info:
  title: Puretalk AI
  description: Api Documentation for Puretalk AI
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.puretalk.ai/api
security:
  - ApiKeyAuth: []
paths:
  /phone-numbers/{phone_number_id}:
    delete:
      description: Delete a phone number based on the ID supplied
      parameters:
        - name: phone_number_id
          in: path
          description: ID of phone number to delete
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Phone number deleted
          content:
            application/json:
              schema:
                type: object
                properties:
                  err:
                    type: boolean
                    description: Indicates if there was an error
                    example: false
                  msg:
                    type: string
                    example: Phone number deleted successfully.
                    description: A success message
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      required:
        - err
        - msg
      type: object
      properties:
        err:
          type: boolean
          example: true
          description: Indicates if there was an error
        msg:
          type: string
          example: An error occurred.
          description: A message describing the error
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: >-
        Authorization header containing API key. You can find your API key in
        the dashboard under 'API Keys'.

````